/*
Theme Name: Heroes Sports Bar Royal Scam
Version: 6.1
Description: Customizable responsive accessible Wordpress child theme created by CyberOptik
Author: CyberOptik
Author URI: https://www.cyberoptik.net/
Template: optik-theme-6
*/





/******************************************************************************
 * * *  IMPORTS & VARIABLES  * * * * * * * * * * * * * * * * * * * * * * * * *
******************************************************************************/

@import url("../optik-theme-6/style.css");



/* Add font imports here */

/***  Cinzel ***/

/* Regular  */
@font-face {
	font-family: 'Cinzel';
	font-weight: 400;
	src: url('fonts/cinzel/Cinzel-Regular.ttf');
	font-display: swap;
}
/* Bold  */
@font-face {
	font-family: 'Cinzel';
	font-weight: 700;
	src: url('fonts/cinzel/Cinzel-Bold.ttf');
	font-display: swap;
}


/***  Nunito ***/

/* Italic  */
@font-face {
	font-family: 'Nunito';
	font-weight: 400;
	src: url('fonts/nunito/Nunito-Italic.ttf');
	font-display: swap;
}
/* Regular  */
@font-face {
	font-family: 'Nunito';
	font-weight: 400;
	src: url('fonts/nunito/Nunito-Regular.ttf');
	font-display: swap;
}
/* Bold  */
@font-face {
	font-family: 'Nunito';
	font-weight: 700;
	src: url('fonts/nunito/Nunito-Bold.ttf');
	font-display: swap;
}



/******************************************************************************
 * * *  STRUCTURAL ELEMENTS  * * * * * * * * * * * * * * * * * * * * * * * * * 
******************************************************************************/



/***  UNIVERSAL STYLES  ***/

html {
	font-size: 16px;
}

body {
	line-height: 1.6em;
	font-family: var(--wp--custom--font--2);
	color: var(--wp--custom--dark--1);
}

.font-1 { font-family: var(--wp--custom--font--1); }

.font-2 { font-family: var(--wp--custom--font--2); }

/***  BACK TO TOP BUTTON  ***/

.btt-button [class*="fa"] {
	border-radius: var(--wp--custom--radius--full);
	background-color: var(--wp--custom--primary--main);
	font-weight: 300;
	color: white;
}

.btt-button:hover [class*="fa"] {
	background-color: var(--wp--custom--primary--light);
	color: white;
}





/******************************************************************************
 * * *  CONTENT STYLES  * * * * * * * * * * * * * * * * * * * * * * * * * * * *
******************************************************************************/



/***  TEXT & LINKS  ***/

a {
	color: var(--wp--custom--primary--main);
}

a:hover {
	color: var(--wp--custom--primary--light);
}


/***  HEADINGS  ***/

h1, h2, h3, h4, h5, h6 {
	font-weight: bold;
	color: black;
	font-family: var(--wp--custom--font--1);
}

h1 {
	font-size: 3em;
}

h2 {
	font-size: 2.25em;
}

h3 {
	font-size: 1.75em;
}

h4 {
	font-size: 1.25em;
}

h5 {
	font-size: 1em;
}

h6 {
	font-size: 0.85em;
}



/***  BORDERS & DIVIDERS  ***/

hr, .divider {
	display: block;
	width: 100%;
	height: 1px;
	border: 0;
	border-top: 1px solid #e2e2e2;
	margin: 2.5em auto;
	padding: 0;
}



/***  BUTTONS  ***/

.button, 
.wp-block-button__link, 
.button-outline, 
.is-style-outline .wp-block-button__link {
	padding: 0.75em 2.25em;
	border-color: transparent;
	background-color: var(--wp--custom--light--2);
	color: var(--wp--custom--dark--1);
	border-radius: var(--wp--custom--radius--lg);
	text-transform: uppercase;
}

.button:hover, 
.wp-block-button__link:hover, 
.button-outline:hover,
.is-style-outline .wp-block-button__link:hover {
	border-color: var(--wp--custom--dark--1);
	background-color: var(--wp--custom--dark--1);
	color: white;
}

.button [class*="fa"], 
.wp-block-button__link [class*="fa"], 
.button:hover [class*="fa"], 
.wp-block-button__link:hover [class*="fa"] {
	color: inherit !important;
}

/* Outlined Button */

.button-outline, 
.is-style-outline .wp-block-button__link {
	background: none;
	border-color: var(--wp--custom--primary--main);
	color: white;
}

.button-outline:hover,
.is-style-outline .wp-block-button__link:hover {
	border-color: var(--wp--custom--primary--main);
	background: var(--wp--custom--dark--1);
	color: white;
}



/***  ICONS  ***/

.fa {
	font-weight: 300;
}

/* Icon Colors */

.fa, .fas, .far, .fal, .fab {
	color: var(--wp--custom--primary--main);
}

a .fa, a .fas, a .far, a .fal, a .fab {
	color: var(--wp--custom--primary--main);
}

a:hover .fa, a:hover .fas, a:hover .far, a:hover .fal, a:hover .fab {
	color: var(--wp--custom--secondary--main);
}

/* Icon Backgrounds */

.fa-bg {
	background-color: var(--wp--custom--primary--main);
	color: white;
}

a .fa-bg {
	background-color: var(--wp--custom--primary--main);
	color: white;
}

a:hover .fa-bg {
	background-color: var(--wp--custom--secondary--main);
	color: white;
}

/* Icon Borders */

.fa-br {
	border-color: var(--wp--custom--primary--main);
}

a .fa-br {
	border-color: var(--wp--custom--primary--main);
}

a:hover .fa-br {
	border-color: var(--wp--custom--secondary--main);
}



/***  LISTS  ***/

.arrow-list li:before, 
.check-list li:before, 
.check-circle-list li:before, 
.icon-list li:before, 
.contact-list li:before, 
.arrow-list li [class*="fa"], 
.check-list li [class*="fa"], 
.check-circle-list li [class*="fa"], 
.icon-list li [class*="fa"], 
.contact-list li [class*="fa"] {
	color: var(--wp--custom--primary--main);
}



/***  FORMS  ***/

/* Gravity Form */
.gfield_label {
	font-weight: 700 !important;
	font-size: 18px !important;
	color: var(--wp--custom--dark--1) !important;
}

.gform_wrapper .gfield input[type="text"],
.gform_wrapper .gfield input[type="email"],
.gform_wrapper .gfield input[type="tel"],
.gform_wrapper .gfield input[type="url"],
.gform_wrapper .gfield input[type="number"],
.gform_wrapper .gfield textarea {
  border: none !important;
  border-bottom: 1.5px solid var(--wp--custom--dark--2) !important;
  border-radius: 0 !important;
  background: transparent !important;
  box-shadow: none !important;
  padding: 8px 0 !important;
  outline: none !important;
  transition: border-color 0.2s ease;
}

.gform_wrapper .gfield select {
	 border: none !important;
	  box-shadow: none !important;
	  border-bottom: 1.5px solid var(--wp--custom--dark--2) !important;
}

/* Focus state */
.gform_wrapper .gfield input:focus,
.gform_wrapper .gfield textarea:focus {
  border-bottom: 2px solid #000 !important;
  box-shadow: none !important;
}

.gform_wrapper .gfield label.gfield_label {
  font-size: 14px;
  font-weight: 400;
  color: #111;
  margin-bottom: 4px;
}

.gform_wrapper .gfield_required .gfield_required_asterisk,
#gfield_description_1_9 {
  display: none;
}

/* date/time */
.gform_wrapper .gfield_time_minute,
.gform_wrapper .gfield_time_hour {
	width: 25% !important;
}

.gform_wrapper .gfield_time_ampm {
	width: 40% !important;
}

.gform_wrapper input[type="submit"] {
	padding: 0.75em 2.25em !important;
	background: none !important;
	border-color: var(--wp--custom--dark--1) !important;
	color: var(--wp--custom--dark--1) !important;
	text-transform: uppercase !important;
}

.gform_wrapper input[type="submit"]:hover {
	border-color: var(--wp--custom--primary--main) !important;
	background: none !important;
	color: var(--wp--custom--primary--main) !important;
}



/* Inputs */

input[type="text"], input[type="email"], input[type="number"], 
input[type="password"], input[type="search"], input[type="tel"], 
input[type="url"], input[type="date"], input[type="datetime-local"], 
input[type="month"], input[type="time"], input[type="week"], 
textarea, select, .filter-reset {
	border-radius: var(--wp--custom--radius--xs);
}

input[type="text"]:focus, input[type="email"]:focus, input[type="number"]:focus, 
input[type="password"]:focus, input[type="search"]:focus, input[type="tel"]:focus, 
input[type="url"]:focus, input[type="date"]:focus, input[type="datetime-local"]:focus, 
input[type="month"]:focus, input[type="time"]:focus, input[type="week"]:focus, 
textarea:focus, select:focus {
	border-color: var(--wp--custom--primary--main);
}

/* Buttons */

input[type="submit"], 
input[type="reset"], 
input[type="button"], 
form button {
	border-color: var(--wp--custom--primary--main);
	background-color: var(--wp--custom--primary--main);
	border-radius: var(--wp--custom--radius--xs);
	color: white;
}

input[type="Submit"]:hover, 
input[type="reset"]:hover, 
input[type="button"]:hover, 
form button:hover {
	border-color: var(--wp--custom--primary--light);
	background-color: var(--wp--custom--primary--light);
	color: white;
}

input[type="Submit"]:active, 
input[type="reset"]:active, 
input[type="button"]:active, 
form button:active {
	border-color:  var(--wp--custom--primary--dark);
	background-color:  var(--wp--custom--primary--dark);
	color: white;
}





/******************************************************************************
 * * *  HEADER STYLES  * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
******************************************************************************/



/***  SCROLL BAR  ***/

.scroll-bar {
	background-color: var(--wp--custom--dark--1);
	    border-bottom: 2px solid var(--wp--custom--primary--dark);
}

.scroll-logo {
	max-height: 50px;
}



/***  TOP BAR  ***/

.top-bar {
	background-color: var(--wp--custom--light--2);
}



/***  HEADER  ***/

/*TRANSPARENT HEADER*/
.header-wrap{
	position: absolute;
	z-index: 3;
}


.header-logo {
	max-height: 70px;
}


.scroll-left:not(:last-child) .scroll-left-menu, 
.header-left:not(:last-child) .header-left-menu {
	justify-content: center;
}

.scroll-right:not(:first-child) .scroll-right-menu, 
.header-right:not(:first-child) .header-right-menu {
		justify-content: center;
}



/* Menu Button */

.header .menu-button [class*="fa"], 
.header .menu-button:hover [class*="fa"] {
	color: var(--wp--custom--light--1);
}

.header .menu-button.active [class*="fa"] {
	background-color: var(--wp--custom--primary--main);
	color: white;
}



/***  NAVBAR  ***/

.navbar {
}



/***  NAV MENUS  ***/

.nav-menu > li > a, 
.nav-menu > li > span, 
.nav-menu > li > button {
	color: #fff;
	text-transform: uppercase;
	font-weight: 700;
}

.single-post .nav-menu > li.posts-link > a, 
.category .nav-menu > li.posts-link > a, 
.single-service .nav-menu > li.services-link > a, 
.single-career .nav-menu > li.careers-link > a, 
.single-resource .nav-menu > li.resources-link > a, 
.nav-menu > li.current-menu-ancestor > a, 
.nav-menu > li.current-menu-ancestor > span, 
.nav-menu > li.current-menu-ancestor > button, 
.nav-menu > li.current-menu-item > a, 
.nav-menu > li.current-menu-item > span, 
.nav-menu > li.current-menu-item > button, 
.nav-menu > li:hover > a, 
.nav-menu > li:hover > span, 
.nav-menu > li:hover > button {
	color: var(--wp--custom--primary--main);
}

/* Nav Button */

.nav-menu > li.nav-button {
	background-color: transparent !important;
}

.nav-menu > li.nav-button > a {
	margin-left: 10px;
	margin-right: 10px;
	background-color: var(--wp--custom--primary--main);
	border-radius: var(--wp--custom--radius--xl);
	color: white;
}

.nav-menu > li.nav-button > a:hover {
	background-color: var(--wp--custom--primary--light);
}

/* Dropdowns */

.nav-menu li ul li:first-child {
	padding-top: 8px;
}
.nav-menu li ul li:last-child {
	padding-bottom: 8px;
}

.nav-menu li ul > li > a, 
.nav-menu li ul > li > span, 
.nav-menu li ul > li > button {
	color: var(--wp--custom--dark--3);
}

.single-careers .nav-menu li ul li.careers-link > a, 
.nav-menu li ul li.current-menu-item > a, 
.nav-menu li ul li.current-menu-item > span, 
.nav-menu li ul li.current-menu-item > button, 
.nav-menu li ul li:hover > a, 
.nav-menu li ul li:hover > span, 
.nav-menu li ul li:hover > button {
	color: var(--wp--custom--primary--main);
}

/* Nested Dropdowns */

.nav-menu li ul li ul {
	top: -8px;
}



/***  HIDDEN NAV  ***/

.hidden-menu li a {
	color: var(--wp--custom--dark--1);
}

.hidden-menu li.current-menu-item > a {
	color: var(--wp--custom--primary--dark);
}





/******************************************************************************
 * * *  BODY STYLES  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
******************************************************************************/



/***  BANNER  ***/

.banner {
	background-color: var(--wp--custom--dark--1);
}

.banner-inner {
	padding-top: calc(var(--wp--custom--spacer--xxl) * 2);
	padding-bottom: var(--wp--custom--spacer--md);
}

.banner-viewheight .banner-inner {
	padding-top: calc(var(--wp--custom--spacer--lg) + 140px);
	padding-bottom: var(--wp--custom--spacer--lg);
}

.banner a {
	color: var(--wp--custom--primary--light);
}

.banner a:hover {
	color: white;
}

/* HP BANNER */

.hp-banner {
	position: relative;z-index: 1; -webkit-mask-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="100" height="1000" viewBox="0 0 100 1000" preserveAspectRatio="none"><path d="M 0,990 Q 50,1010 100,990 L 100,0 L 0,0 Z" fill="black"/></svg>');
	-webkit-mask-size: 300% auto;
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-position: 50% bottom;
	mask-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="100" height="1000" viewBox="0 0 100 1000" preserveAspectRatio="none"><path d="M 0,990 Q 50,1010 100,990 L 100,0 L 0,0 Z" fill="black"/></svg>');
	mask-size: 300% auto;
	mask-repeat: no-repeat;
	mask-position: 50% bottom;
}

.hp-banner:after {
	position: absolute;
	bottom: 0;
	left: 0;
	height: 200px;
	width: 100%;
	background-position: bottom center;
	background-image: url(/wp-content/uploads/curve-golden.svg);
	background-repeat: no-repeat;
	background-size: 300% auto;
	opacity: 0.7;
	content: '';
}

.hp-banner .wp-block-cover__inner-container {
	z-index: 1;
}



/***  HEADLINE BAR  ***/

.headline-bar {
}



/***  ENTRY NAVBAR  ***/

.entry-menu > li > a {
	color: var(--wp--custom--dark--3);
}

.entry-menu > li.current-menu-item > a, 
.entry-menu > li:hover > a {
	color: var(--wp--custom--primary--main);
}



/***  MAIN  ***/

.main {
	padding-top:  var(--wp--custom--spacer--xxl);
	padding-bottom:  var(--wp--custom--spacer--xxl);
}



/***  ARCHIVE  ***/

/* Entry Cols */

.entry-cols .entry-link {
	border-radius: var(--wp--custom--radius--md);
	background-color: var(--wp--custom--light--2);
	overflow: hidden;
	color: var(--wp--custom--dark--2);
}

.entry-cols .entry-link:hover {
	transform: translateY(-3px);
}

.entry-cols .entry-icon-wrap:first-child {
	padding: 30px 30px 0;
}

.entry-cols .entry-icon svg {
	width: 60px;
	fill: var(--wp--custom--primary--main);
}

.entry-cols .entry-text-wrap {
	padding: 30px;
}

.includes-link-text .entry:not(.col-full) .entry-text-wrap {
	padding-bottom: 80px;
}

.entry-cols .entry:not(.col-full) .entry-link-text-wrap {
	left: 30px;
	bottom: 30px;
}

.entry-cols .entry-link .entry-link-text {
	color: var(--wp--custom--primary--main);
}

.entry-cols .entry-link:hover .entry-link-text {
	color: var(--wp--custom--primary--light);
}

/* Archive Pagination */

.archive-pagination a {
	border-radius: var(--wp--custom--radius--xl);
	border-color: var(--wp--custom--light--1);
	color: var(--wp--custom--primary--main);
}

.archive-pagination a:hover {
	border-color: var(--wp--custom--primary--light);
	color: var(--wp--custom--primary--light);
}

.archive-pagination a [class*="fa"], 
.archive-pagination a:hover [class*="fa"] {
	color: inherit !important;
	transition: all 0ms ease-in-out;
}



/***  SINGLE  ***/





/******************************************************************************
 * * *  FOOTER STYLES  * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
******************************************************************************/



/***  CTA BAR  ***/

.cta-bar-container {
	max-width: none; padding:0;
}

.cta-bar {
	padding-top: 0;
	padding-bottom: 0;
}

.cta-bar h1, 
.cta-bar h2, 
.cta-bar h3, 
.cta-bar h4, 
.cta-bar h5, 
.cta-bar h6 {
	color: white;
} 


/***  FOOTER  ***/

.footer {
	padding: 0;
	border-top: 2px solid var(--wp--custom--primary--dark);
	color: #fff;
	font-size: 14px;
}

.footer  > .container { 
	padding: 0; 
	max-width: none;
}

.footer a {
	color: #fff;
}

.footer a:hover {
	color: var(--wp--custom--primary--main);
}

.footer h1, 
.footer h2, 
.footer h3, 
.footer h4, 
.footer h5, 
.footer h6 {
color: #fff;
}

/***  6.3 BOTTOM BAR  ***/

.bottom-bar {
	background-color: #000;
	font-size: 0.9em;
	padding-bottom: 30px;
}

.credits a {
   color: #fff;
}

/* Menus */

.bottom-bar {
	color: #fff;
}

.bottom-bar .menu a {
	color: #fff;
}

.bottom-bar .menu a:hover,
.credits a:hover {
	color: var(--wp--custom--primary--main);
}





/******************************************************************************
 * * *  7 CUSTOM STYLES  * * * * * * * * * * * * * * * * * * * * * * * * * * * 
******************************************************************************/

/* Add custom theme styles here */

@media screen and (max-width: 900px) {
	.wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column { flex-basis: 100% !important; }
}

/*** SEPARATOR ***/
.wp-block-separator {
	width: 0%;
}

/***  ICON CARDS  ***/

.icon-cards {
	text-align: center;
}

.icon-cards .wp-block-column {
	background-color: var(--wp--custom--light--2);
	padding: var(--wp--custom--spacer--md) var(--wp--custom--spacer--sm);
	transition: all 350ms ease-in-out;
}

.icon-cards .wp-block-column:hover {
	background-color: var(--wp--custom--primary--main);
	color: white;
}

.icon-cards .wp-block-column .wp-block-heading, 
.icon-cards .wp-block-column .wp-block-heading a {
	color: var(--wp--custom--primary--main);
	border-bottom: none;
	transition: all 350ms ease-in-out;
}

.icon-cards .wp-block-column:hover .wp-block-heading, 
.icon-cards .wp-block-column:hover .wp-block-heading a, 
.icon-cards .wp-block-column:hover .wp-block-heading a:hover {
	color: white;
}

.icon-cards .wp-block-outermost-icon-block {
	justify-content: center;
}

.icon-cards .wp-block-heading:not(:first-child) {
	margin-top: 0.25em;
	font-size: 1.45em;
}


/*** HOME ***/
.border-image {
    border: 1px solid var(--wp--custom--primary--main);		
}

/*** FAQ ***/
.wp-block-wpseopress-faq-block-v2 details,
.wp-block-wpseopress-faq-block-v2 .wp-block-details:last-of-type {
   border-bottom: 2px solid var(--wp--custom--primary--main);
}

.wp-block-wpseopress-faq-block-v2 details summary:after {
	color: var(--wp--custom--dark--1);
	font-weight: 700;
}
.wp-block-wpseopress-faq-block-v2 .wp-block-details summary {
    background-color: transparent;
}

.wp-block-wpseopress-faq-block-v2 details p {
	padding: 15px 25px 25px;
	margin: 0;
}

/*** POPUP MAKER ***/
.pum-overlay{
    background-color: color-mix(in srgb, var(--wp--custom--dark--1)50%, transparent);
}

.pum-container {
	padding: 4rem 3rem !important;
	background-color: #fff!important;
}
.pum-close.popmake-close{
    padding: 15px 25px 15px 25px !important;
    font-size: 28px !important;
    background-color: var(--wp--custom--dark--1) !important;
    color: #fff !important;
}
.pum-close.popmake-close:hover{
 background-color: var(--wp--custom--primary--main) !important;
}


.col-menu-list .wp-block-columns {
	border-bottom: 2px solid var(--wp--custom--primary--main);
}

.col-menu-list-multiple .wp-block-columns { height: 100%; }


/*** LINK CARDS + WP block cover ***/
.link-card .wp-block-cover::after {
  content: '';
  position: absolute;
  inset: 0;
  background: var(--wp--custom--dark--1);
  opacity: 0;
  z-index: 0; 
  transition: opacity 0.3s ease;
}

.link-card .wp-block-cover:hover::after {
  opacity: 0.5;
}

.link-card .wp-block-cover__inner-container {
  z-index: 1; 
  position: relative;
}

/* Mobile Helpers */
@media screen and (max-width: 900px) {
	.tablet-width-400 { max-width: 400px; }
}

/* Social White Border */
.social-white-border .wp-block-social-link-anchor {
	border: 1px solid white !important;
	border-radius: 100%;
}

/*** SCROLL BAR ***/

* {
  scrollbar-color: var(--wp--custom--light--1) var(--wp--custom--dark--1);
}

/* Responsive Content Side Padding */
@media screen and (max-width: 900px) {
	.responsive-content-side-padding { 
		padding-left: var(--wp--custom--spacer--md) !important;
		padding-right: var(--wp--custom--spacer--md) !important;
	 }
}

/* Inline Block Links */
a.inline-block-link,
.inline-block-link a { display: inline-block; }

/* Workaround for iOS scroll-attachemnt */
@supports (-webkit-overflow-scrolling: touch) {
	.wp-block-cover__image-background.has-parallax {
		background-attachment: scroll;
  	}
}